/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { ChartWizardCommon as t } from "@progress/kendo-charts";
const r = t.messages, o = "chartWizard.window.title", e = "chartWizard.export.button", i = "chartWizard.exportPDF.button", c = "chartWizard.exportSVG.button", s = "chartWizard.exportPNG.button", l = "chartWizard.tab.chart", n = "chartWizard.tab.data", h = "chartWizard.tab.format", d = "chartWizard.chart.barChart.expandText", m = "chartWizard.chart.barChart.bar", f = "chartWizard.chart.barChart.stackedBar", x = "chartWizard.chart.barChart.100%stackedBar", z = "chartWizard.chart.pieChart.expandText", A = "chartWizard.chart.pieChart.pie", W = "chartWizard.chart.columnChart.expandText", g = "chartWizard.chart.columnChart.column", u = "chartWizard.chart.columnChart.stackedColumn", C = "chartWizard.chart.columnChart.100%stackedColumn", b = "chartWizard.chart.lineChart.expandText", p = "chartWizard.chart.lineChart.line", T = "chartWizard.chart.lineChart.stackedLine", L = "chartWizard.chart.lineChart.100%stackedLine", y = "chartWizard.chart.scatterChart.expandText", P = "chartWizard.chart.scatterChart.scatter", S = "chartWizard.data.configuration.expandText", F = "chartWizard.data.configuration.categoryAxis", v = "chartWizard.data.configuration.xAxis", V = "chartWizard.data.configuration.valueAxis", k = "chartWizard.data.configuration.series.title", B = "chartWizard.data.configuration.series.add", w = "chartWizard.format.chartArea.expandText", R = "chartWizard.format.chartArea.margins", M = "chartWizard.format.chartArea.margins.auto", G = "chartWizard.format.chartArea.margins.left", D = "chartWizard.format.chartArea.margins.right", N = "chartWizard.format.chartArea.margins.top", O = "chartWizard.format.chartArea.margins.bottom", X = "chartWizard.format.chartArea.background", Y = "chartWizard.format.chartArea.background.color", j = "chartWizard.format.title.expandText", q = "chartWizard.format.title.applyTo", E = "chartWizard.format.title.chartTitle", H = "chartWizard.format.title.chartSubtitle", I = "chartWizard.format.title.label", J = "chartWizard.format.title.font", K = "chartWizard.format.title.fontPlaceholder", Q = "chartWizard.format.title.size", U = "chartWizard.format.title.sizePlaceholder", Z = "chartWizard.format.title.color", _ = "chartWizard.format.series.expandText", $ = "chartWizard.format.series.applyTo", tt = "chartWizard.format.series.allSeries", at = "chartWizard.format.series.color", rt = "chartWizard.format.series.showLabels", ot = "chartWizard.format.legend.expandText", et = "chartWizard.format.legend.showLegend", it = "chartWizard.format.legend.font", ct = "chartWizard.format.legend.fontPlaceholder", st = "chartWizard.format.legend.size", lt = "chartWizard.format.legend.sizePlaceholder", nt = "chartWizard.format.legend.color", ht = "chartWizard.format.legend.position", dt = "chartWizard.format.legend.position.top", mt = "chartWizard.format.legend.position.bottom", ft = "chartWizard.format.legend.position.left", xt = "chartWizard.format.legend.position.right", zt = "chartWizard.format.categoryAxis.expandText", At = "chartWizard.format.xAxis.expandText", Wt = "chartWizard.format.categoryAxis.title.expandText", gt = "chartWizard.format.categoryAxis.title.placeholder", ut = "chartWizard.format.categoryAxis.title.font", Ct = "chartWizard.format.categoryAxis.title.fontPlaceholder", bt = "chartWizard.format.categoryAxis.title.size", pt = "chartWizard.format.categoryAxis.title.sizePlaceholder", Tt = "chartWizard.format.categoryAxis.title.color", Lt = "chartWizard.format.categoryAxis.labels.text", yt = "chartWizard.format.categoryAxis.labels.font", Pt = "chartWizard.format.categoryAxis.labels.fontPlaceholder", St = "chartWizard.format.categoryAxis.labels.size", Ft = "chartWizard.format.categoryAxis.labels.sizePlaceholder", vt = "chartWizard.format.categoryAxis.labels.color", Vt = "chartWizard.format.categoryAxis.labels.rotation.text", kt = "chartWizard.format.categoryAxis.labels.rotation.auto", Bt = "chartWizard.format.categoryAxis.labels.reverseOrder", wt = "chartWizard.format.valueAxis.expandText", Rt = "chartWizard.format.yAxis.expandText", Mt = "chartWizard.format.valueAxis.title.text", Gt = "chartWizard.format.valueAxis.title.placeholder", Dt = "chartWizard.format.valueAxis.title.font", Nt = "chartWizard.format.valueAxis.title.fontPlaceholder", Ot = "chartWizard.format.valueAxis.title.size", Xt = "chartWizard.format.valueAxis.title.sizePlaceholder", Yt = "chartWizard.format.valueAxis.title.color", jt = "chartWizard.format.valueAxis.labels.text", qt = "chartWizard.format.valueAxis.labelFormat", Et = "chartWizard.format.valueAxis.labelFormat.text", Ht = "chartWizard.format.valueAxis.labelFormat.number", It = "chartWizard.format.valueAxis.labelFormat.currency", Jt = "chartWizard.format.valueAxis.labelFormat.percent", Kt = "chartWizard.format.valueAxis.labels.font", Qt = "chartWizard.format.valueAxis.labels.fontPlaceholder", Ut = "chartWizard.format.valueAxis.labels.size", Zt = "chartWizard.format.valueAxis.labels.sizePlaceholder", _t = "chartWizard.format.valueAxis.labels.color", $t = "chartWizard.format.valueAxis.labels.rotation.text", ta = "chartWizard.format.valueAxis.labels.rotation.auto";
export {
  d as barChart,
  x as barChart100StackedBar,
  m as barChartBar,
  f as barChartStackedBar,
  W as columnChart,
  C as columnChart100StackedColumn,
  g as columnChartColumn,
  u as columnChartStackedColumn,
  S as configuration,
  F as configurationCategoryAxis,
  k as configurationSeries,
  B as configurationSeriesAdd,
  V as configurationValueAxis,
  v as configurationXAxis,
  e as exportButton,
  i as exportPDFButton,
  s as exportPNGButton,
  c as exportSVGButton,
  zt as formatCategoryAxis,
  Lt as formatCategoryAxisLabels,
  vt as formatCategoryAxisLabelsColor,
  yt as formatCategoryAxisLabelsFont,
  Pt as formatCategoryAxisLabelsFontPlaceholder,
  Bt as formatCategoryAxisLabelsReverseOrder,
  Vt as formatCategoryAxisLabelsRotation,
  kt as formatCategoryAxisLabelsRotationAuto,
  St as formatCategoryAxisLabelsSize,
  Ft as formatCategoryAxisLabelsSizePlaceholder,
  Wt as formatCategoryAxisTitle,
  Tt as formatCategoryAxisTitleColor,
  ut as formatCategoryAxisTitleFont,
  Ct as formatCategoryAxisTitleFontPlaceholder,
  gt as formatCategoryAxisTitlePlaceholder,
  bt as formatCategoryAxisTitleSize,
  pt as formatCategoryAxisTitleSizePlaceholder,
  w as formatChartArea,
  X as formatChartAreaBackground,
  Y as formatChartAreaBackgroundColor,
  R as formatChartAreaMargins,
  M as formatChartAreaMarginsAuto,
  O as formatChartAreaMarginsBottom,
  G as formatChartAreaMarginsLeft,
  D as formatChartAreaMarginsRight,
  N as formatChartAreaMarginsTop,
  ot as formatLegend,
  nt as formatLegendColor,
  it as formatLegendFont,
  ct as formatLegendFontPlaceholder,
  ht as formatLegendPosition,
  mt as formatLegendPositionBottom,
  ft as formatLegendPositionLeft,
  xt as formatLegendPositionRight,
  dt as formatLegendPositionTop,
  et as formatLegendShowLegend,
  st as formatLegendSize,
  lt as formatLegendSizePlaceholder,
  _ as formatSeries,
  tt as formatSeriesAllSeries,
  $ as formatSeriesApplyTo,
  at as formatSeriesColor,
  rt as formatSeriesShowLabels,
  j as formatTitle,
  q as formatTitleApplyTo,
  H as formatTitleChartSubtitle,
  E as formatTitleChartTitle,
  Z as formatTitleColor,
  J as formatTitleFont,
  K as formatTitleFontPlaceholder,
  I as formatTitleLabel,
  Q as formatTitleSize,
  U as formatTitleSizePlaceholder,
  wt as formatValueAxis,
  jt as formatValueAxisLabels,
  _t as formatValueAxisLabelsColor,
  Kt as formatValueAxisLabelsFont,
  Qt as formatValueAxisLabelsFontPlaceholder,
  qt as formatValueAxisLabelsFormat,
  It as formatValueAxisLabelsFormatCurrency,
  Ht as formatValueAxisLabelsFormatNumber,
  Jt as formatValueAxisLabelsFormatPercent,
  Et as formatValueAxisLabelsFormatText,
  $t as formatValueAxisLabelsRotation,
  ta as formatValueAxisLabelsRotationAuto,
  Ut as formatValueAxisLabelsSize,
  Zt as formatValueAxisLabelsSizePlaceholder,
  Mt as formatValueAxisTitle,
  Yt as formatValueAxisTitleColor,
  Dt as formatValueAxisTitleFont,
  Nt as formatValueAxisTitleFontPlaceholder,
  Gt as formatValueAxisTitlePlaceholder,
  Ot as formatValueAxisTitleSize,
  Xt as formatValueAxisTitleSizePlaceholder,
  At as formatXAxis,
  Rt as formatYAxis,
  b as lineChart,
  L as lineChart100StackedLine,
  p as lineChartLine,
  T as lineChartStackedLine,
  r as messages,
  z as pieChart,
  A as pieChartPie,
  y as scatterChart,
  P as scatterChartScatter,
  l as tabChart,
  n as tabData,
  h as tabFormat,
  o as windowTitle
};
