/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("@progress/kendo-charts"),a=t.ChartWizardCommon.messages,r="chartWizard.window.title",o="chartWizard.export.button",e="chartWizard.exportPDF.button",i="chartWizard.exportSVG.button",l="chartWizard.exportPNG.button",s="chartWizard.tab.chart",c="chartWizard.tab.data",n="chartWizard.tab.format",m="chartWizard.chart.barChart.expandText",f="chartWizard.chart.barChart.bar",h="chartWizard.chart.barChart.stackedBar",d="chartWizard.chart.barChart.100%stackedBar",x="chartWizard.chart.pieChart.expandText",A="chartWizard.chart.pieChart.pie",g="chartWizard.chart.columnChart.expandText",u="chartWizard.chart.columnChart.column",z="chartWizard.chart.columnChart.stackedColumn",C="chartWizard.chart.columnChart.100%stackedColumn",b="chartWizard.chart.lineChart.expandText",W="chartWizard.chart.lineChart.line",L="chartWizard.chart.lineChart.stackedLine",T="chartWizard.chart.lineChart.100%stackedLine",S="chartWizard.chart.scatterChart.expandText",y="chartWizard.chart.scatterChart.scatter",p="chartWizard.data.configuration.expandText",P="chartWizard.data.configuration.categoryAxis",V="chartWizard.data.configuration.xAxis",F="chartWizard.data.configuration.valueAxis",v="chartWizard.data.configuration.series.title",k="chartWizard.data.configuration.series.add",B="chartWizard.format.chartArea.expandText",R="chartWizard.format.chartArea.margins",M="chartWizard.format.chartArea.margins.auto",w="chartWizard.format.chartArea.margins.left",G="chartWizard.format.chartArea.margins.right",D="chartWizard.format.chartArea.margins.top",N="chartWizard.format.chartArea.margins.bottom",O="chartWizard.format.chartArea.background",X="chartWizard.format.chartArea.background.color",Y="chartWizard.format.title.expandText",j="chartWizard.format.title.applyTo",q="chartWizard.format.title.chartTitle",E="chartWizard.format.title.chartSubtitle",H="chartWizard.format.title.label",I="chartWizard.format.title.font",J="chartWizard.format.title.fontPlaceholder",K="chartWizard.format.title.size",Q="chartWizard.format.title.sizePlaceholder",U="chartWizard.format.title.color",Z="chartWizard.format.series.expandText",_="chartWizard.format.series.applyTo",$="chartWizard.format.series.allSeries",tt="chartWizard.format.series.color",at="chartWizard.format.series.showLabels",rt="chartWizard.format.legend.expandText",ot="chartWizard.format.legend.showLegend",et="chartWizard.format.legend.font",it="chartWizard.format.legend.fontPlaceholder",lt="chartWizard.format.legend.size",st="chartWizard.format.legend.sizePlaceholder",ct="chartWizard.format.legend.color",nt="chartWizard.format.legend.position",mt="chartWizard.format.legend.position.top",ft="chartWizard.format.legend.position.bottom",ht="chartWizard.format.legend.position.left",dt="chartWizard.format.legend.position.right",xt="chartWizard.format.categoryAxis.expandText",At="chartWizard.format.xAxis.expandText",gt="chartWizard.format.categoryAxis.title.expandText",ut="chartWizard.format.categoryAxis.title.placeholder",zt="chartWizard.format.categoryAxis.title.font",Ct="chartWizard.format.categoryAxis.title.fontPlaceholder",bt="chartWizard.format.categoryAxis.title.size",Wt="chartWizard.format.categoryAxis.title.sizePlaceholder",Lt="chartWizard.format.categoryAxis.title.color",Tt="chartWizard.format.categoryAxis.labels.text",St="chartWizard.format.categoryAxis.labels.font",yt="chartWizard.format.categoryAxis.labels.fontPlaceholder",pt="chartWizard.format.categoryAxis.labels.size",Pt="chartWizard.format.categoryAxis.labels.sizePlaceholder",Vt="chartWizard.format.categoryAxis.labels.color",Ft="chartWizard.format.categoryAxis.labels.rotation.text",vt="chartWizard.format.categoryAxis.labels.rotation.auto",kt="chartWizard.format.categoryAxis.labels.reverseOrder",Bt="chartWizard.format.valueAxis.expandText",Rt="chartWizard.format.yAxis.expandText",Mt="chartWizard.format.valueAxis.title.text",wt="chartWizard.format.valueAxis.title.placeholder",Gt="chartWizard.format.valueAxis.title.font",Dt="chartWizard.format.valueAxis.title.fontPlaceholder",Nt="chartWizard.format.valueAxis.title.size",Ot="chartWizard.format.valueAxis.title.sizePlaceholder",Xt="chartWizard.format.valueAxis.title.color",Yt="chartWizard.format.valueAxis.labels.text",jt="chartWizard.format.valueAxis.labelFormat",qt="chartWizard.format.valueAxis.labelFormat.text",Et="chartWizard.format.valueAxis.labelFormat.number",Ht="chartWizard.format.valueAxis.labelFormat.currency",It="chartWizard.format.valueAxis.labelFormat.percent",Jt="chartWizard.format.valueAxis.labels.font",Kt="chartWizard.format.valueAxis.labels.fontPlaceholder",Qt="chartWizard.format.valueAxis.labels.size",Ut="chartWizard.format.valueAxis.labels.sizePlaceholder",Zt="chartWizard.format.valueAxis.labels.color",_t="chartWizard.format.valueAxis.labels.rotation.text",$t="chartWizard.format.valueAxis.labels.rotation.auto";exports.barChart=m;exports.barChart100StackedBar=d;exports.barChartBar=f;exports.barChartStackedBar=h;exports.columnChart=g;exports.columnChart100StackedColumn=C;exports.columnChartColumn=u;exports.columnChartStackedColumn=z;exports.configuration=p;exports.configurationCategoryAxis=P;exports.configurationSeries=v;exports.configurationSeriesAdd=k;exports.configurationValueAxis=F;exports.configurationXAxis=V;exports.exportButton=o;exports.exportPDFButton=e;exports.exportPNGButton=l;exports.exportSVGButton=i;exports.formatCategoryAxis=xt;exports.formatCategoryAxisLabels=Tt;exports.formatCategoryAxisLabelsColor=Vt;exports.formatCategoryAxisLabelsFont=St;exports.formatCategoryAxisLabelsFontPlaceholder=yt;exports.formatCategoryAxisLabelsReverseOrder=kt;exports.formatCategoryAxisLabelsRotation=Ft;exports.formatCategoryAxisLabelsRotationAuto=vt;exports.formatCategoryAxisLabelsSize=pt;exports.formatCategoryAxisLabelsSizePlaceholder=Pt;exports.formatCategoryAxisTitle=gt;exports.formatCategoryAxisTitleColor=Lt;exports.formatCategoryAxisTitleFont=zt;exports.formatCategoryAxisTitleFontPlaceholder=Ct;exports.formatCategoryAxisTitlePlaceholder=ut;exports.formatCategoryAxisTitleSize=bt;exports.formatCategoryAxisTitleSizePlaceholder=Wt;exports.formatChartArea=B;exports.formatChartAreaBackground=O;exports.formatChartAreaBackgroundColor=X;exports.formatChartAreaMargins=R;exports.formatChartAreaMarginsAuto=M;exports.formatChartAreaMarginsBottom=N;exports.formatChartAreaMarginsLeft=w;exports.formatChartAreaMarginsRight=G;exports.formatChartAreaMarginsTop=D;exports.formatLegend=rt;exports.formatLegendColor=ct;exports.formatLegendFont=et;exports.formatLegendFontPlaceholder=it;exports.formatLegendPosition=nt;exports.formatLegendPositionBottom=ft;exports.formatLegendPositionLeft=ht;exports.formatLegendPositionRight=dt;exports.formatLegendPositionTop=mt;exports.formatLegendShowLegend=ot;exports.formatLegendSize=lt;exports.formatLegendSizePlaceholder=st;exports.formatSeries=Z;exports.formatSeriesAllSeries=$;exports.formatSeriesApplyTo=_;exports.formatSeriesColor=tt;exports.formatSeriesShowLabels=at;exports.formatTitle=Y;exports.formatTitleApplyTo=j;exports.formatTitleChartSubtitle=E;exports.formatTitleChartTitle=q;exports.formatTitleColor=U;exports.formatTitleFont=I;exports.formatTitleFontPlaceholder=J;exports.formatTitleLabel=H;exports.formatTitleSize=K;exports.formatTitleSizePlaceholder=Q;exports.formatValueAxis=Bt;exports.formatValueAxisLabels=Yt;exports.formatValueAxisLabelsColor=Zt;exports.formatValueAxisLabelsFont=Jt;exports.formatValueAxisLabelsFontPlaceholder=Kt;exports.formatValueAxisLabelsFormat=jt;exports.formatValueAxisLabelsFormatCurrency=Ht;exports.formatValueAxisLabelsFormatNumber=Et;exports.formatValueAxisLabelsFormatPercent=It;exports.formatValueAxisLabelsFormatText=qt;exports.formatValueAxisLabelsRotation=_t;exports.formatValueAxisLabelsRotationAuto=$t;exports.formatValueAxisLabelsSize=Qt;exports.formatValueAxisLabelsSizePlaceholder=Ut;exports.formatValueAxisTitle=Mt;exports.formatValueAxisTitleColor=Xt;exports.formatValueAxisTitleFont=Gt;exports.formatValueAxisTitleFontPlaceholder=Dt;exports.formatValueAxisTitlePlaceholder=wt;exports.formatValueAxisTitleSize=Nt;exports.formatValueAxisTitleSizePlaceholder=Ot;exports.formatXAxis=At;exports.formatYAxis=Rt;exports.lineChart=b;exports.lineChart100StackedLine=T;exports.lineChartLine=W;exports.lineChartStackedLine=L;exports.messages=a;exports.pieChart=x;exports.pieChartPie=A;exports.scatterChart=S;exports.scatterChartScatter=y;exports.tabChart=s;exports.tabData=c;exports.tabFormat=n;exports.windowTitle=r;
